•  
     
    story #7886 upgrade Mediawiki to 1.23
Summary
Empty
upgrade Mediawiki to 1.23
I can use a LTS version if my installation in on Centos 6
  • Mediawiki 1.23 is used on Centos 6 (package MW 1.23)
    • For installation on Centos 5, we still support Mediawiki 1.20.3
  • Ability to make a progressive migration (project by project)
    • As we have no clue about the impact of migration on large wikis, this will allow to make things one step after another
    • The goal is to complete the migration in 6 months
  •  "Tuleap" theme is working
  • Extensions are working:
    • if not compatible with Bootstrap, extensions are o,ly available in compatibility mode
    • check cross-reference plugin is working
  • Check permissions
Empty
Empty
Status
Done
Development
Empty
Empty
Details
#7886
Sandra Echinard (sechinard)
2015-04-29 12:09
2015-02-25 10:25
7145

References

List of items referenced by or referencing this item.

Git commit

Artifact Tracker v5

Follow-ups

  • User avatar
    long story short ... I love you guys ;-)
  • User avatar
    Hi Peter,

    You have to uninstall and then re-install tuleap-plugin-mediawiki to manage the upgrade (due to packaging of symlink in a previous version of the package, the upgrade cannot be direct)
  • User avatar
    Hey Tuleap team,
    i saw a new Package Version vor Mdediawiki Plugin:
    tuleap-plugin-mediawiki-0.68-1.el6 (noarch)

    My CentOS6 gave me an error (sry its German)
    Test-Transaktionsfehler: Datei /usr/share/tuleap/plugins/mediawiki/www/includes/AutoLoader.php aus der Installation von tuleap-plugin-mediawiki-0.68-1.el6.noarch kollidiert mit der Datei aus dem Paket php-mediawiki-tuleap-1.20.3-6.noarch
    Datei /usr/share/tuleap/plugins/mediawiki/www/includes/Defines.php aus der Installation von tuleap-plugin-mediawiki-0.68-1.el6.noarch kollidiert mit der Datei aus dem Paket php-mediawiki-tuleap-1.20.3-6.noarch
    Datei /usr/share/tuleap/plugins/mediawiki/www/includes/Init.php aus der Installation von tuleap-plugin-mediawiki-0.68-1.el6.noarch kollidiert mit der Datei aus dem Paket php-mediawiki-tuleap-1.20.3-6.noarch
    Datei /usr/share/tuleap/plugins/mediawiki/www/includes/profiler/Profiler.php aus der Installation von tuleap-plugin-mediawiki-0.68-1.el6.noarch kollidiert mit der Datei aus dem Paket php-mediawiki-tuleap-1.20.3-6.noarch
  • User avatar
    • Status changed from To be done to Done
  • User avatar
    • Acceptance criteria